package org.bossattack.speedblazer;

import org.newdawn.slick.Graphics;

public class LevelManager {

	Game game;
	
	//int entityAddTimer = 0;
	//int entityAddDelay = 2000;
	
	
	float targetDistance = 1;
	
	
	float speedIncrease = 0.000001f;
	
	public LevelManager(Game game) {
		this.game = game;
		
		//addEntity(new Wall(game, 100, 100, 100, 50));
		//addEntity(new JumpRamp(game, 100, 300));
		//addEntity(new AICar(game, 200, 300));
		
		//addEntity(new PoliceCar(this, 200, 300));
		
	}
	
	public void addEntity(Entity entity) {
		game.entities.add(entity);
	}
	
	public void update(int delta) {
		
		/*if (entityAddTimer < entityAddDelay) {
			entityAddTimer += delta;
		}
		else {
			entityAddTimer = 0;
			addRandomEntity();
		}*/
		
		if (targetDistance > game.distance) {
			
		}
		else {
			targetDistance += 1;
			addRandomEntity();
		}
		
		game.maxSpeed += speedIncrease * delta;
	}
	
	private void addRandomEntity() {
		switch ((int)(Math.random() * 4)) {
			case 0 : 
				int width = 50 + (int)(Math.random() * (200-70));
				addEntity(new Wall(game, 75 + (int)(Math.random() * (250-width)), -50, width, 50));
			break;
			case 1 : addEntity(new AICar(game, 75 + (int)(Math.random() * (250 - game.civilianImage.getWidth())), -game.civilianImage.getHeight()));
			break;
			case 2 : 
				if (Math.random() > 0.5f) {
					addEntity(new PoliceCar(game, 75 + (int)(Math.random() *(250 - game.policeImage.getWidth())), -game.policeImage.getHeight()));
				}
				else {
					addEntity(new SlowRamp(game, 75 + (int)(Math.random() * (250 - game.rampImage.getWidth())), -game.rampImage.getHeight()));
				}
			break;
			//case 4 : addEntity(new SpeedRamp(game, 75 + (int)(Math.random() * (250 - game.rampImage.getWidth())), -game.rampImage.getHeight()));
			//break;
			case 3 : addEntity(new Wall(game, 75, -200, 250, 50));
					 addEntity(new JumpRamp(game, 75 + (int)(Math.random() * (250 - game.rampImage.getWidth())), -game.rampImage.getHeight()));
			break;
		}
		//addEntity(new Wall(game, 100, 100, 100, 50));
		//addEntity(new JumpRamp(game, 100, 300));
		//addEntity(new AICar(game, 200, 300));
		
		//addEntity(new PoliceCar(this, 200, 300));
	}
	
	public void draw(Graphics g) {
		
	}
}
